<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PeerDataOperationRequestResponseMessage\PeerDataOperationResult;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class FullHistorySyncOnDemandRequestResponse extends \Google\Protobuf\Internal\Message
{
    


    protected $requestMetadata = null;
    


    protected $responseCode = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getRequestMetadata()
    {
        return $this->requestMetadata;
    }

    public function hasRequestMetadata()
    {
        return isset($this->requestMetadata);
    }

    public function clearRequestMetadata()
    {
        unset($this->requestMetadata);
    }

    




    public function setRequestMetadata($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\FullHistorySyncOnDemandRequestMetadata::class);
        $this->requestMetadata = $var;

        return $this;
    }

    



    public function getResponseCode()
    {
        return isset($this->responseCode) ? $this->responseCode : 0;
    }

    public function hasResponseCode()
    {
        return isset($this->responseCode);
    }

    public function clearResponseCode()
    {
        unset($this->responseCode);
    }

    




    public function setResponseCode($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\PeerDataOperationRequestResponseMessage\PeerDataOperationResult\FullHistorySyncOnDemandResponseCode::class);
        $this->responseCode = $var;

        return $this;
    }

}

